Java Updates

In order for you to login to EDRS and certify a record, you must use internet explorer and use the correct version of Java. Click on the link below for Java instructions.

Java Help Desk Instructions